Bug 663186 - USB disconnects
Summary: USB disconnects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 671923 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 22:04 UTC by purpleidea
Modified: 2012-01-04 20:05 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.35.14-100.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-30 00:30:59 UTC
Type: ---


Attachments (Terms of Use)

Description purpleidea 2010-12-14 22:04:05 UTC
Description of problem:
USB devices dissapear after (random?) period of time.

Version-Release number of selected component (if applicable):
Unsure if this should be reported against kernel-- wasn't sure. Happy to provide more info if needed.

How reproducible:
Always

Steps to Reproduce:
1. Turn on pc.
2. Copy some files from a USB device, like a portable HDD.
3. Device eventually dies with I/O error.
  
Actual results:
USB ports no longer work or respond to any devices.

Expected results:
Copy continues...

Additional info:
Hardware is a thinkpad X201, lshw output below.
lsusb only shows the following after event, when normally it shows many devices:

Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


DMESG Following event:

[  686.664722] DRHD: handling fault status reg 2
[  686.664728] ehci_hcd 0000:00:1a.0: fatal error
[  686.664740] DMAR:[DMA Read] Request device [00:1a.0] fault addr 0 
[  686.664743] DMAR:[fault reason 06] PTE Read access is not set
[  686.671509] ehci_hcd 0000:00:1a.0: force halt; handshake ffffc900110c8024 00004000 00004000 -> -110
[  686.671521] ehci_hcd 0000:00:1a.0: HC died; cleaning up
[  686.671781] usb 1-1: USB disconnect, address 2
[  686.671787] usb 1-1.1: USB disconnect, address 3
[  686.671796] hub 1-1:1.0: cannot reset port 1 (err = -108)
[  686.671805] hub 1-1:1.0: cannot reset port 1 (err = -19)
[  686.671813] hub 1-1:1.0: cannot disable port 1 (err = -19)
[  686.671819] hub 1-1:1.0: cannot disable port 1 (err = -19)
[  686.671884] sd 6:0:0:0: [sdb] Unhandled error code
[  686.671886] sd 6:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[  686.671889] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 0c 77 07 ff 00 00 08 00
[  686.671897] end_request: I/O error, dev sdb, sector 209127423
[  686.671900] Buffer I/O error on device sdb1, logical block 26140920
[  687.400342] usb 1-1.3: USB disconnect, address 4
[  687.403151] usb 1-1.5: USB disconnect, address 5
[  687.404469] usb 1-1.6: USB disconnect, address 6


LSHW:

    description: Notebook
    product: 3249CTO ()
    vendor: LENOVO
    version: ThinkPad X201
    serial: R97LC0D
    width: 64 bits
    capabilities: smbios-2.6 dmi-2.6 vsyscall64 vsyscall32
    configuration: administrator_password=enabled boot=normal chassis=notebook family=ThinkPad X201 frontpanel_password=unknown keyboard_password=disabled power-on_password=enabled uuid=4328F400-C959-11DF-8EEA-B50C1CCD7399
  *-core
       description: Motherboard
       product: 3249CTO
       vendor: LENOVO
       physical id: 0
       version: Not Available
       serial: 1ZHWH09FGE0
     *-firmware
          description: BIOS
          vendor: LENOVO
          physical id: 0
          version: 6QET52WW (1.22 )
          date: 08/23/2010
          size: 128KiB
          capacity: 8128KiB
          capabilities: pci pcmcia pnp upgrade shadowing escd cdboot bootselect edd int13floppy720 int5printscreen int9keyboard int14serial int17printer int10video acpi usb biosbootspecification
     *-cpu
          description: CPU
          product: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
          vendor: Intel Corp.
          physical id: 6
          bus info: cpu@0
          version: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
          slot: None
          size: 2534MHz
          capacity: 2534MHz
          width: 64 bits
          clock: 133MHz
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp x86-64 constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt aes lahf_lm ida arat tpr_shadow vnmi flexpriority ept vpid cpufreq
          configuration: cores=2 enabledcores=2 threads=4
        *-cache:0
             description: L1 cache
             physical id: a
             slot: Internal L1 Cache
             size: 32KiB
             capacity: 32KiB
             capabilities: asynchronous internal write-through data
        *-cache:1
             description: L2 cache
             physical id: b
             slot: Internal L2 Cache
             size: 256KiB
             capacity: 256KiB
             capabilities: burst internal write-through unified
        *-cache:2
             description: L3 cache
             physical id: c
             slot: Internal L3 Cache
             size: 3MiB
             capacity: 8MiB
             capabilities: burst internal write-back
     *-memory
          description: System Memory
          physical id: 2a
          slot: System board or motherboard
          size: 4GiB
        *-bank:0
             description: SODIMM DDR3 Synchronous 1066 MHz (0.9 ns)
             product: RMT1970ED48E8F1066
             vendor: Fujitsu
             physical id: 0
             serial: 051DE005
             slot: DIMM 1
             size: 2GiB
             width: 64 bits
             clock: 1066MHz (0.9ns)
        *-bank:1
             description: SODIMM DDR3 Synchronous 1066 MHz (0.9 ns)
             product: RMT1970ED48E8F1066
             vendor: Fujitsu
             physical id: 1
             serial: 095BE705
             slot: DIMM 2
             size: 2GiB
             width: 64 bits
             clock: 1066MHz (0.9ns)
     *-pci:0
          description: Host bridge
          product: Core Processor DRAM Controller
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display
             description: VGA compatible controller
             product: Core Processor Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:46 memory:f2000000-f23fffff memory:d0000000-dfffffff ioport:1800(size=8)
        *-communication UNCLAIMED
             description: Communication controller
             product: 5 Series/3400 Series Chipset HECI Controller
             vendor: Intel Corporation
             physical id: 16
             bus info: pci@0000:00:16.0
             version: 06
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi bus_master cap_list
             configuration: latency=0
             resources: memory:f2727800-f272780f
        *-network
             description: Ethernet interface
             product: 82577LM Gigabit Network Connection
             vendor: Intel Corporation
             physical id: 19
             bus info: pci@0000:00:19.0
             logical name: eth0
             version: 06
             serial: f0:de:f1:08:71:4e
             size: 100Mbit/s
             capacity: 1Gbit/s
             width: 32 bits
             clock: 33MHz
             capabilities: pm msi bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
             configuration: autonegotiation=on broadcast=yes driver=e1000e driverversion=1.0.2-k4 duplex=full firmware=0.12-1 ip=172.16.50.140 latency=0 link=yes multicast=yes port=twisted pair speed=100Mbit/s
             resources: irq:47 memory:f2500000-f251ffff memory:f2525000-f2525fff ioport:1820(size=32)
        *-usb:0
             description: USB Controller
             product: 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
             vendor: Intel Corporation
             physical id: 1a
             bus info: pci@0000:00:1a.0
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:23 memory:f2728000-f27283ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 2.6.35.9-64.fc14.x86_64 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: usb1
                version: 2.06
                capabilities: usb-2.00
                configuration: driver=hub slots=3 speed=480Mbit/s
        *-multimedia
             description: Audio device
             product: 5 Series/3400 Series Chipset High Definition Audio
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 06
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=HDA Intel latency=0
             resources: irq:48 memory:f2520000-f2523fff
        *-pci:0
             description: PCI bridge
             product: 5 Series/3400 Series Chipset PCI Express Root Port 1
             vendor: Intel Corporation
             physical id: 1c
             bus info: pci@0000:00:1c.0
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:42
        *-pci:1
             description: PCI bridge
             product: 5 Series/3400 Series Chipset PCI Express Root Port 4
             vendor: Intel Corporation
             physical id: 1c.3
             bus info: pci@0000:00:1c.3
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:43 ioport:2000(size=4096) memory:f0000000-f1ffffff ioport:f2800000(size=1048576)
        *-pci:2
             description: PCI bridge
             product: 5 Series/3400 Series Chipset PCI Express Root Port 5
             vendor: Intel Corporation
             physical id: 1c.4
             bus info: pci@0000:00:1c.4
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:44 memory:f2400000-f24fffff
           *-network DISABLED
                description: Wireless interface
                product: Centrino Advanced-N 6200
                vendor: Intel Corporation
                physical id: 0
                bus info: pci@0000:02:00.0
                logical name: wlan0
                version: 35
                serial: 00:27:10:d3:67:70
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=iwlagn driverversion=2.6.35.9-64.fc14.x86_64 firmware=9.221.4.1 build 25532 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
                resources: irq:49 memory:f2400000-f2401fff
        *-usb:1
             description: USB Controller
             product: 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:19 memory:f2728400-f27287ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 2.6.35.9-64.fc14.x86_64 ehci_hcd
                physical id: 1
                bus info: usb@2
                logical name: usb2
                version: 2.06
                capabilities: usb-2.00
                configuration: driver=hub slots=3 speed=480Mbit/s
              *-usb
                   description: USB hub
                   product: Integrated Rate Matching Hub
                   vendor: Intel Corp.
                   physical id: 1
                   bus info: usb@2:1
                   version: 0.00
                   capabilities: usb-2.00
                   configuration: driver=hub slots=8 speed=480Mbit/s
        *-pci:3
             description: PCI bridge
             product: 82801 Mobile PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: a6
             width: 32 bits
             clock: 33MHz
             capabilities: pci subtractive_decode bus_master cap_list
        *-isa
             description: ISA bridge
             product: Mobile 5 Series Chipset LPC Interface Controller
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 06
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: latency=0
        *-storage
             description: SATA controller
             product: 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             logical name: scsi0
             logical name: scsi1
             version: 06
             width: 32 bits
             clock: 66MHz
             capabilities: storage msi pm ahci_1.0 bus_master cap_list emulated
             configuration: driver=ahci latency=0
             resources: irq:45 ioport:1860(size=8) ioport:1814(size=4) ioport:1818(size=8) ioport:1810(size=4) ioport:1840(size=32) memory:f2727000-f27277ff
           *-disk
                description: ATA Disk
                product: ST9320423AS
                vendor: Seagate
                physical id: 0
                bus info: scsi@0:0.0.0
                logical name: /dev/sda
                version: 0003
                serial: 5VH4R6FF
                size: 298GiB (320GB)
                capabilities: partitioned partitioned:dos
                configuration: ansiversion=5 signature=aafef3f5
              *-volume:0
                   description: Windows NTFS volume
                   physical id: 1
                   bus info: scsi@0:0.0.0,1
                   logical name: /dev/sda1
                   version: 3.1
                   serial: b210-72bf
                   size: 730MiB
                   capacity: 732MiB
                   capabilities: primary bootable ntfs initialized
                   configuration: clustersize=4096 created=2010-09-26 08:40:55 filesystem=ntfs label=SYSTEM_DRV state=clean
              *-volume:1
                   description: EXT4 volume
                   vendor: Linux
                   physical id: 2
                   bus info: scsi@0:0.0.0,2
                   logical name: /dev/sda2
                   logical name: /boot
                   version: 1.0
                   serial: 257de3f5-8fb0-4341-b9d0-3d520be947f9
                   size: 500MiB
                   capacity: 500MiB
                   capabilities: primary journaled extended_attributes huge_files dir_nlink recover extents ext4 ext2 initialized
                   configuration: created=2010-10-05 18:49:19 filesystem=ext4 lastmountpoint=/boot modified=2010-12-14 14:43:17 mount.fstype=ext4 mount.options=rw,seclabel,relatime,barrier=1,data=ordered mounted=2010-12-14 14:43:17 state=mounted
              *-volume:2
                   description: Windows NTFS volume
                   physical id: 3
                   bus info: scsi@0:0.0.0,3
                   logical name: /dev/sda3
                   version: 3.1
                   serial: 44254ca6-efc7-0744-9f6d-21873db7de05
                   size: 9987MiB
                   capacity: 10000MiB
                   capabilities: primary ntfs initialized
                   configuration: clustersize=4096 created=2010-09-26 08:41:10 filesystem=ntfs label=Lenovo_Recovery state=clean
              *-volume:3
                   description: Extended partition
                   physical id: 4
                   bus info: scsi@0:0.0.0,4
                   logical name: /dev/sda4
                   size: 287GiB
                   capacity: 287GiB
                   capabilities: primary extended partitioned partitioned:extended
                 *-logicalvolume
                      description: Linux filesystem partition
                      physical id: 5
                      logical name: /dev/sda5
                      capacity: 287GiB
           *-cdrom
                description: DVD-RAM writer
                product: DVD-RAM UJ892
                vendor: MATSHITA
                physical id: 1
                bus info: scsi@1:0.0.0
                logical name: /dev/cdrom
                logical name: /dev/cdrw
                logical name: /dev/dvd
                logical name: /dev/dvdrw
                logical name: /dev/scd0
                logical name: /dev/sr0
                version: SB01
                capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
                configuration: ansiversion=5 status=nodisc
        *-serial
             description: SMBus
             product: 5 Series/3400 Series Chipset SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 06
             width: 64 bits
             clock: 33MHz
             configuration: driver=i801_smbus latency=0
             resources: irq:23 memory:f2728800-f27288ff ioport:1880(size=32)
        *-generic UNCLAIMED
             description: Signal processing controller
             product: 5 Series/3400 Series Chipset Thermal Subsystem
             vendor: Intel Corporation
             physical id: 1f.6
             bus info: pci@0000:00:1f.6
             version: 06
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi cap_list
             configuration: latency=0
             resources: memory:f2526000-f2526fff
     *-pci:1
          description: Host bridge
          product: Core Processor QuickPath Architecture Generic Non-core Registers
          vendor: Intel Corporation
          physical id: 101
          bus info: pci@0000:ff:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
     *-pci:2
          description: Host bridge
          product: Core Processor QuickPath Architecture System Address Decoder
          vendor: Intel Corporation
          physical id: 102
          bus info: pci@0000:ff:00.1
          version: 02
          width: 32 bits
          clock: 33MHz
     *-pci:3
          description: Host bridge
          product: Core Processor QPI Link 0
          vendor: Intel Corporation
          physical id: 103
          bus info: pci@0000:ff:02.0
          version: 02
          width: 32 bits
          clock: 33MHz
     *-pci:4
          description: Host bridge
          product: Core Processor QPI Physical 0
          vendor: Intel Corporation
          physical id: 104
          bus info: pci@0000:ff:02.1
          version: 02
          width: 32 bits
          clock: 33MHz
     *-pci:5
          description: Host bridge
          product: Core Processor Reserved
          vendor: Intel Corporation
          physical id: 105
          bus info: pci@0000:ff:02.2
          version: 02
          width: 32 bits
          clock: 33MHz
     *-pci:6
          description: Host bridge
          product: Core Processor Reserved
          vendor: Intel Corporation
          physical id: 106
          bus info: pci@0000:ff:02.3
          version: 02
          width: 32 bits
          clock: 33MHz
  *-battery
       product: 42T4694
       vendor: SANYO
       physical id: 1
       slot: Rear
       capacity: 93240mWh
       configuration: voltage=11.1V

Comment 1 Kyle McMartin 2010-12-17 16:23:11 UTC
Do you have the same issue if you boot with intel_iommu=off?

Comment 2 purpleidea 2011-01-11 16:49:11 UTC
Hi Kyle,

I apologize for my slow response, I was AFK and then busy for far too long.

While testing today with intel_iommu=off, I haven't yet encountered the problem, and looking good so far!
Can you provide any more info, and/or can I provide any more info to ultimately fix the underlying problem?

Thanks,
James

Comment 3 Ray 2011-03-27 01:26:02 UTC
Hi,

I think I'm having the same problem but with completely different HW and device.

I'm trying to copy many files (some large) to a microsd and after awhile (during copying) the device goes offline with a message like...

  Device offlined - not ready after error recovery

...the device remains mounted but the driver says...

  rejecting I/O to offline device

...many times and eventually the prog doing the copying (rsync, in my case) dies with i/o errors.

To recover I need to umount, remove and reinsert the card, run fsck.vfat to fix the errors, re-mount, and then I can retry the copy operation, which gets a little farther but eventually dies again the same way.

According to a thread on ubuntuforums (http://ubuntuforums.org/showthread.php?t=1214003#2) the problem is a bug in ehci_hcd and the following provides a work-around that works for me...

echo -n 0000:00:02.2 > /sys/bus/pci/drivers/ehci_hcd/unbind

...(where '0000:00:02.2' is the usb 2.0 interface on my device). Of course, my i/o is then at usb 1.1 speeds, but at least I can complete the transfer.

I will try intel_iommu=off and get back...

~ray

Comment 4 Ray 2011-03-27 01:56:06 UTC
intel_iommu=off did not work for me..

BTW, forgot to mention, I'm running an up-to-date Fedora 14, 32 bit AMD w/ nvidia chipset.

~ray

Comment 5 Yun-Fong Loh 2011-07-21 04:39:44 UTC
I've been trying to troubleshoot something similar on F15 and I believe Bug 671923, Bug 718077, Bug 720054 are all duplicates of this bug.

I've actually googled my way to this:

https://bugzilla.kernel.org/show_bug.cgi?id=32432

Applying this patch takes care of the problem for me:

http://git.kernel.org/?p=linux%2Fkernel%2Fgit%2Fgregkh%2Fusb-2.6.git;a=commitdiff_plain;h=004c19682884d4f40000ce1ded53f4a1d0b18206

Comment 6 George R. Goffe 2011-07-22 01:34:37 UTC
Yun-Fong,

This does look/sound like my problem.

It STILL comes and goes and appears to be related to heavy I/O.

How did you apply the patch you mention above? I'm using the latest FC 14 Kernel.

Regards and thanks for your help (in advance).

George...

Comment 7 Yun-Fong Loh 2011-07-22 04:33:58 UTC
> How did you apply the patch you mention above? I'm using the latest FC 14
> Kernel.
> 
> Regards and thanks for your help (in advance).
> 
> George...

Sorry to be brief but I'm getting ready to leave for vacation and won't really be able to be more detailed. Basically, I downloaded the kernel source with yumdownloader, unpacked it, added two patches (this one: http://git.kernel.org/?p=linux%2Fkernel%2Fgit%2Fgregkh%2Fusb-2.6.git;a=commitdiff_plain;h=1e12c910eed82da6971f1c0421a069c680faba2e, first, then the one above 2nd) to my own kernel.spec and generated a new source and used rpmbuild to build the package.

This has more detailed instructions: http://fedoraproject.org/wiki/Building_a_custom_kernel

Comment 8 George R. Goffe 2011-07-25 10:05:50 UTC
Hi,

I put this "intel_iommu=off" in my system on Friday... I have not seen this problem since then. FC 14, latest updates... 2.6.35.13-92.fc14.i686 #1 SMP Sat May 21 17:39:42 UTC 2011 i686 GNU/Linux

I will report on this situation if it changes.

Regards,

George...

Comment 9 Yun-Fong Loh 2011-08-22 18:57:19 UTC
F15 kernel 2.6.40.3-4 has the fix I mentioned.

Comment 10 George R. Goffe 2011-08-22 20:58:30 UTC
Hi,

I'm still running FC 14.

I added the intel_iommu=off to my grub kernel line. The problem has almost become non existent.

I say almost because I occasionally experience this problem on the second usb/sata drive (sdb and sdc), it's sdc that has the problem but this is quite rare.

THANKS for your help with this,

George...

Comment 11 George R. Goffe 2011-08-25 19:31:32 UTC
Hi,

The bug seems to have returned.

I updated my FC14 system with their latest kernel and within 12 hours experienced this same problem. intel_iommu=off was specified on the kernel line of the grub.conf file.

George...

Do you need other settings? Other debug output? Please let me know and I'll try to get it for you.

Comment 12 Josh Boyer 2011-09-06 18:10:24 UTC
*** Bug 671923 has been marked as a duplicate of this bug. ***

Comment 13 Josh Boyer 2011-09-06 20:32:55 UTC
George, I've started a scratch build of the f14 kernel that has the two highlighted fixes backported to it.  When this finishes, you might want to give it a try:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3329354

Comment 14 George R. Goffe 2011-09-07 03:04:01 UTC
Josh,

Thank you SO MUCH!

I'm downloading now and will test soon.

You didn't mention whether I should retain the intel_iommu=off flag or not so I'll try both ways, first without then with.

Regards,

George...

Comment 15 Claudio Saavedra 2011-10-13 09:17:49 UTC
This is happening to me in F15 with 2.6.40.6-0.fc15.x86_64. I *think* it usually happens when my x201 is on it's dockstation, but I can't be so sure. Afterwards, USB drives are no longer recognized.

This works it around:

  echo -n 0000:00:1a.0 > /sys/bus/pci/drivers/ehci_hcd/unbind 
  echo -n 0000:00:1a.0 > /sys/bus/pci/drivers/ehci_hcd/bind

Comment 16 George R. Goffe 2011-10-14 08:36:44 UTC
Hi,

Is this new code in the latest FC14 kernel?

George...

Comment 17 Josh Boyer 2011-10-14 13:20:54 UTC
(In reply to comment #16)
> Hi,
> 
> Is this new code in the latest FC14 kernel?
> 
> George...

No.  You didn't come back and let us know if it was working or not.

The two commits that were backported for the scratch build were:

1e12c910eed82da6971f1c0421a069
004c19682884d4f40000ce1ded53f41

Comment 18 George R. Goffe 2011-10-14 15:51:55 UTC
Josh,

Oh man! I really fell down on this. Please accept my apologies.

The test, I guess, kernel has been working WONDERFULLY. The newer kernel has shown some failures like this one but not as many.

As far as I'm concerned, please push your fix from the test kernel to "production".

I'm on a different system now, temporarily I hope, since I ran yum update last night and picked up something that breaks my X11 server so I have NO gui. Sigh. I haven't been able to make a bug report about this though.

Regards,

George...

Comment 19 Josh Boyer 2011-10-14 17:31:54 UTC
(In reply to comment #18)
> Josh,
> 
> Oh man! I really fell down on this. Please accept my apologies.

No worries.

> The test, I guess, kernel has been working WONDERFULLY. The newer kernel has
> shown some failures like this one but not as many.

Good to hear.

> As far as I'm concerned, please push your fix from the test kernel to
> "production".

I've added the changes.  They should be in the next official F14 kernel build.

Comment 20 Fedora Update System 2011-10-21 20:46:21 UTC
kernel-2.6.35.14-100.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.14-100.fc14

Comment 21 George R. Goffe 2011-10-21 22:44:49 UTC
Josh,

You are the MAN!

Thanks,

George...

Comment 22 Fedora Update System 2011-10-22 08:26:35 UTC
Package kernel-2.6.35.14-100.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.35.14-100.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14747
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2011-10-30 00:30:59 UTC
kernel-2.6.35.14-100.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 George R. Goffe 2011-12-23 15:49:52 UTC
Josh,

Are you still around?

Did your code make it to the FC16 kernels by any chance? 

I'm seeing similar behavior in my newly upgraded FC16 x86_64 system at this kernel:

3.1.5-6.fc16.x86_64

I'll try the intel_iommu=off workaround and report here.

Regards,

George...

Comment 25 Josh Boyer 2012-01-03 12:29:03 UTC
(In reply to comment #24)
> Josh,
> 
> Are you still around?
> 
> Did your code make it to the FC16 kernels by any chance? 

Yes.  Both commits are included in the 3.1 kernel, which is what F16 is based on.

Comment 26 George R. Goffe 2012-01-03 12:38:26 UTC
Josh,

Happy New Year!

I gave up on FC16 and went to FC14-x86_64... and then started having this problem.

Did your changes make it into the FC14 kernel? 2.6.35.14-106.fc14.x86_64

If not, would it be too much of a hassle to get the FC14 kernel updated too?

Regards,

George...

Comment 27 Josh Boyer 2012-01-04 20:05:40 UTC
(In reply to comment #26)
> Josh,
> 
> Happy New Year!
> 
> I gave up on FC16 and went to FC14-x86_64... and then started having this
> problem.
> 
> Did your changes make it into the FC14 kernel? 2.6.35.14-106.fc14.x86_64

They did.

> If not, would it be too much of a hassle to get the FC14 kernel updated too?

F14 is EOL now.  There will be no more kernel updates (or any other updates) for F14.


Note You need to log in before you can comment on or make changes to this bug.